Name:           flr
Version:        0.0.4
Release:        7%{?dist}
Summary:        Fedora Releng python libraries and command line tools

License:        GPLv2+
URL:            https://pagure.io/%{name}
Source0:        https://releases.pagure.org/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch

%if 0%{?rhel} && 0%{?rhel} <= 7
BuildRequires:  python-setuptools
%else
BuildRequires:  python2-setuptools
%endif

BuildRequires:  python2-devel

Requires:       koji
Requires:       mash
Requires:       sigul
Requires:       python2-docker-py
Requires:       python2-click
Requires:       python2-dockerfile-parse

%description
This is a library dedicated to making Release Engineering tasks for Fedora as
generic and re-usable as possible with the primary goal to make all scripts
housed in the Fedora Release Engineering pagure git repo be small simple glue
code around calls to functions found within these library modules.

There are also a set a small command line utilities that present the
functionality of these python APIs for scripting, automation, or sudo privilege
delegation.

%prep
%autosetup

%build
%py2_build

%install
%py2_install

mkdir -p %{buildroot}%{_bindir}
for cmd in flr-docker flr-koji
do
    install -m 0755 ${cmd} %{buildroot}%{_bindir}/${cmd}
done

%files
%license COPYING
%doc README.rst

%{python2_sitelib}/%{name}-*.egg-info/
%{python2_sitelib}/%{name}/
%{_bindir}/%{name}*

%changelog
* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.0.4-5
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jul 25 2017 Adam Miller <maxamillion@fedoraproject.org> - 0.0.4-2
- Add Requires for python2-dockerfile-parse for flr-koji
* Wed May 24 2017 Adam Miller <maxamillion@fedoraproject.org> - 0.0.4-1
- Update to latest upstream
* Wed Feb 08 2017 Adam Miller <maxamillion@fedoraproject.org> - 0.0.2-1
- Update to latest upstream
* Fri Jan 06 2017 Adam Miller <maxamillion@fedoraproject.org> - 0.0.1-1
- First package
